#define AUXCONSTS
#define AUXFUNCS
#include <float.h>
int mtherr(char *,int);
double sec(double x)
{
    double t;

    if ((t=cos(x)) == 0) {
        mtherr("sec",OVERFLOW);
        return DBL_MAX;
    }
    return 1.0/t;
}
double csc(double x)
{
    double t;

    if ((t=sin(x))==0){
        mtherr("csc",OVERFLOW);
        return DBL_MAX;
    }
    return 1.0/t;
}
double cot(double x)
{
    double t;
    if ((t=tan(x)) == 0) {
        mtherr("cot",OVERFLOW);
        return DBL_MAX;
    }
    return 1.0/t;
}
double lorz(double x)
{
    return 1.0/(1.0+x*x);
}
double Jn(double n,double x)
{
    return jn((int)(n+0.5),x);
}
double Kn(double n,double x)
{
    return kn((int)(n+0.5),x);
}
double Yn(double n,double x)
{
    return yn((int)(n+0.5),x);
}
double sinint(double x)
{
    double si,ci;
    sici(x,&si,&ci);
    return si;
}
double cosint(double x)
{
    double si,ci;
    sici(x,&si,&ci);
    return ci;
}
double sinhint(double x)
{
    double shi,chi;
    shichi(x,&shi,&chi);
    return shi;
}
double coshint(double x)
{
    double shi,chi;
    shichi(x,&shi,&chi);
    return chi;
}
