//  NOTE: These prototypes are for functions from the Cephes library
//          with modified names. In order to avoid ambiguities with
//          some resident math functions, and to take advantage of
//          the uniform error handling provided in the Cephes library,
//          distinct names are given to the Cephes functions.
//
#ifndef protosdH
#define protosdH
#ifdef __cplusplus
extern "C" {
#endif

void   airy(double x,double *ai,double *aip,double *bi,double *bip);
double Acos(double x);
double Acosh(double x);
double Asin(double x);
double Asinh(double x);
double Atan(double x);
double Atan2(double y,double x);
double Atanh(double x);
double beta(double a,double b);
double Ceil(double x);
double Cos(double x);
double cosdg(double x);
double Cosh(double x);
double Cot(double x);
double Coth(double x);
double ellie(double phi,double m);
double ellik(double phi,double m);
double ellpe(double x);
void   ellpj(double u,double v,double *sn,double *cn,double *dn,double *phi);
double ellpk(double x);
double erf(double x);
double erfc(double x);
double Exp(double x);
double Exp10(double x);
double expn(int n,double x);
double Fabs(double x);
double Floor(double x);
void   fresnl(double x,double *s,double *c);
double gamma(double x);
double gd(double x);
double hyp2f1(double a,double b,double c,double x);
double hyperg(double a,double b,double x);
double i0(double x);
double i1(double x);
double iv(double v,double x);
double igd(double x);
double j0(double x);
double j1(double x);
double jn(int n,double x);
double Jn(double n,double x);
double jv(double n,double x);
double k0(double x);
double k1(double x);
double kn(int n,double x);
double Kn(double n,double x);
double lbeta(double x);
double lgam(double x);
double Log(double x);
double log2(double x);
double Log10(double x);
double ndtr(double x);
double ndtri(double x);
double Ql(double x);
double psi(double x);
void   shichi(double x,double *shi,double *chi);
void   sici(double x,double *si, double *ci);
double Sin(double x);
double sindg(double x);
double Sinh(double x);
double Sqrt(double x);
double struve(double v,double x);
double Tan(double x);
double tandg(double x);
double Tanh(double x);
double y0(double x);
double y1(double x);
double yn(int n,double x);
double Yn(double n,double x);
double yv(double v,double x);

#ifdef __cplusplus
}
#endif
#endif

